Bug 1734738 - Unable to create geo-rep session on a non-root setup.
Summary: Unable to create geo-rep session on a non-root setup.
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: geo-replication
Version: mainline
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kotresh HR
QA Contact:
URL:
Whiteboard:
Depends On: 1734734
Blocks: 1737712 1737716 1739442
TreeView+ depends on / blocked
 
Reported: 2019-07-31 10:36 UTC by Kotresh HR
Modified: 2019-08-09 10:27 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1734734
: 1737712 1737716 1739442 (view as bug list)
Environment:
Last Closed: 2019-08-02 14:26:16 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 23136 None Merged geo-rep: Fix mount broker setup issue 2019-08-02 14:26:15 UTC

Comment 1 Kotresh HR 2019-07-31 10:37:33 UTC
Description of problem:
Unable to create a non-root geo-rep session on a geo-rep setup. 

Version-Release number of selected component (if applicable):
glusterfs-6.0-9

How reproducible:
Always

Steps to Reproduce:
1.Create a non-root geo-rep setup.
2.Try to create a non-root geo-rep session. 

Actual results:
# gluster volume geo-replication master-rep geoaccount@10.70.43.185::slave-rep create push-pem gluster command not found on 10.70.43.185 for user geoaccount. geo-replication command failed

Expected results:
# gluster volume geo-replication master-rep geoaccount@10.70.43.185::slave-rep
Creating geo-replication session between master-rep & geoaccount@10.70.43.185::slave-rep has been successful

Comment 2 Worker Ant 2019-07-31 10:42:14 UTC
REVIEW: https://review.gluster.org/23136 (geo-rep: Fix mount broker setup issue) posted (#1) for review on master by Kotresh HR

Comment 3 Worker Ant 2019-08-02 14:26:16 UTC
REVIEW: https://review.gluster.org/23136 (geo-rep: Fix mount broker setup issue) merged (#3) on master by Amar Tumballi


Note You need to log in before you can comment on or make changes to this bug.